#!/bin/bash

IP=10.2.3
START=5
END=7
DATE=`date +"%Y%m%d-%H%M%S"`

mkdir ~/1MilOpsLogs/$DATE
cp read.props write.props ~/1MilOpsLogs/$DATE
cp deploy/gsconf/* ~/1MilOpsLogs/$DATE
echo "Logging to /1MilOpsLogs/$DATE"

for x in griddb1 app1 app2 app3 appp4 appp5; do
	ssh $x dstat -vn  > ~/1MilOpsLogs/$DATE/dstatwrite-${x}.log &
	ssh $x sudo ls -l /var/lib/gridstore/data > ~/1MilOpsLogs/$DATE/lsbefore-${x}.log
	DSTAT_PIDS="$! $DSTAT_PIDS"
done

sudo su - gsadm -c 'gs_stat -u admin/admin' > ~/1MilOpsLogs/$DATE/gsstat.1
for x in app3 appp4 appp5; do
	(ssh $x ./1MilOps/write.sh > ~/1MilOpsLogs/$DATE/write${x}.log )&
	PIDS="$! $PIDS"
done

echo waiting for writers $PIDS
wait $PIDS
kill -9 $DSTAT_PIDS
PIDS=""
DSTAT_PIDS=""
#echo sleeping...
#sleep 3600

for x in griddb1 app1 app2 app3 appp4 appp5; do
	ssh $x dstat  > ~/1MilOpsLogs/$DATE/dstatread-${x}.log &
	ssh $x sudo ls -l /var/lib/gridstore/data > ~/1MilOpsLogs/$DATE/lsafter-${x}.log
	DSTAT_PIDS="$! $DSTAT_PIDS"
done


sudo su - gsadm -c 'gs_stat -u admin/admin' > ~/1MilOpsLogs/$DATE/gsstat.2

for x in app3 appp4 appp5; do
	(ssh $x ./1MilOps/read.sh > ~/1MilOpsLogs/$DATE/read${x}.log )&
	PIDS="$! $PIDS"
done


echo waiting for readers $PIDS
wait $PIDS
kill -9 $DSTAT_PIDS
sudo su - gsadm -c 'gs_stat -u admin/admin' > ~/1MilOpsLogs/$DATE/gsstat.3

tail -n 1 ~/1MilOpsLogs/$DATE/*.log

